package progfatturazione;

public class Fattura {

  private final int percIva = 20;

  private Cliente destinatario;

  public String descrizione;
  public int qta;
  public double prezzoUnitario;

  public Fattura(Cliente dest)
  {
    destinatario = dest;
  }

  private double calcolaImponibile()
  {
    return (qta * prezzoUnitario);
  }

  private double calcolaImposta()
  { 
    double imp = calcolaImponibile();

    return (imp * percIva) / 100;
  }

  public double totaleFattura()
  {
    double totale;
    
    // calcola il totale fattura
    totale = calcolaImponibile() + calcolaImposta();

    return totale;
  }

  public void emettiFattura()
  {
    double totale = totaleFattura();
    
    System.out.println("Totale fattura = " + totale);

    // addebita la fattura al cliente
    destinatario.addebita(totale);
    destinatario.stampaSituazione();    
  }
}

    